<?php
error_reporting(0);
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Делаем предложение';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();


if (isset($_GET['id']))$idd=intval($_GET['id']);
$id=mysql_fetch_array(mysql_query("SELECT * FROM `zags` WHERE `id`='$idd'"));
$q_on=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`='".$id['on']."'"));
$q_ona=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`='".$id['ona']."'"));

if (isset($_GET['raz'])&& isset($user)&&$user['pol']==1){
if (isset($user)&& mysql_result(mysql_query("SELECT COUNT(*) FROM `zags` WHERE `on` = '".$user['id']."'"),0) != '0'){
mysql_query("DELETE FROM `zags` WHERE `id` = '$idd'");
msg ('Успешно выполнено');
}else echo "<div class='err'>Она не замужем</div>";
}
if (isset($_GET['razz'])&& isset($user)&&$user['pol']==0){
if (isset($user)&& mysql_result(mysql_query("SELECT COUNT(*) FROM `zags` WHERE `ona` = '".$user['id']."'"),0) != '0'){
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['id']."', '".$user['nick']."   подал(а) на развод . Не горюйте ! Вы ещё встретите свою любовь', '$time')");
mysql_query("DELETE FROM `zags` WHERE `id` = '$idd'");
msg ('Успешно выполнено');
}else echo "<div class='err'>Он не замужем</div>";
}
if (isset($user)&&$user['id']==$id['on']){
echo "Вы точно хотите развестись с ".$q_ona['nick']."<br/><a href='?id=$idd&raz'>Да конечно</a>";
}else if (isset($user)&&$user['pol']==1) echo "Вы не женаты";
if (isset($user)&&$user['id']==$id['ona']){
echo "Вы точно хотите развестись с ".$q_on['nick']."<br/><a href='?id=$idd&raz'>Да конечно</a>";
}elseif (isset($user)&&$user['pol']==0) echo "Вы не замужем";
include_once '../sys/inc/tfoot.php';
?>